com.orsoncharts.graphics3d

## Class Dimension3D

- java.lang.Object
- - com.orsoncharts.graphics3d.Dimension3D

- All Implemented Interfaces:
    java.io.Serializable

      public final class Dimension3D
      extends java.lang.Object
      implements java.io.Serializable

  A dimension in 3D (width, height and depth). Instances of this class are immutable.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dimension3D(double width, double height, double depth)` Creates a new `Dimension3D` instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
    `double` | `getDepth()` Returns the depth.
    `double` | `getDiagonalLength()` Returns the length of a diagonal from one corner of the box to another.
    `double` | `getHeight()` Returns the height.
    `double` | `getWidth()` Returns the width.
    `int` | `hashCode()` Returns a hash code for this instance.
    `java.lang.String` | `toString()` Returns a string representation of this instance, primarily for debugging purposes.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Dimension3D

          public Dimension3D(double width,
                             double height,
                             double depth)

      Creates a new `Dimension3D` instance. Instances of this class are immutable.
      Parameters:
        `width` - the width.
        `height` - the height.
        `depth` - the depth.

  - ### Method Detail

    - #### getWidth

          public double getWidth()

      Returns the width.
      Returns:
        The width.

    - #### getHeight

          public double getHeight()

      Returns the height.
      Returns:
        The height.

    - #### getDepth

          public double getDepth()

      Returns the depth.
      Returns:
        The depth.

    - #### getDiagonalLength

          public double getDiagonalLength()

      Returns the length of a diagonal from one corner of the box to another.
      Returns:
        The length.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this instance for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object to test against (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code for this instance.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        A hash code.

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this instance, primarily for debugging purposes.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string.